using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace Foosball
{
    public class CollisionFace
    {
        protected VertexPositionNormalTexture[] _v;

        public CollisionFace(VertexPositionNormalTexture v0,
                             VertexPositionNormalTexture v1,
                             VertexPositionNormalTexture v2)
        {
            _v = new VertexPositionNormalTexture[3];
            _v[0] = v0; 
            _v[1] = v1; 
            _v[2] = v2;
        }

        #region Properties
        public Vector3 p0
        {
            get
            {
                return _v[0].Position;
            }            
        }
        public Vector3 p1
        {
            get
            {
                return _v[1].Position;
            }            
        }
        public Vector3 p2
        {
            get
            {
                return _v[2].Position;
            }            
        }
        #endregion
    }
}
