using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace Foosball
{
    public class FBall : FoosObj
    {
        protected Vector3 _speed;

        public FBall(Model model)
            : base(model)
        {
            _pos.Y += FoosGame.BALL_RADIUS;
            _speed = new Vector3(0, 0, 0);
        }

        #region Properties
        public Vector3 Speed
        {
            get
            {
                return _speed;
            }
            set
            {
                _speed = value;
            }
        }

        public float SpeedX
        {
            get
            {
                return _speed.X;
            }
            set
            {
                _speed.X = value;
            }
        }
        public float SpeedY
        {
            get
            {
                return _speed.Y;
            }
            set
            {
                _speed.Y = value;
            }
        }
        public float SpeedZ
        {
            get
            {
                return _speed.Z;
            }
            set
            {
                _speed.Z = value;
            }
        }
        #endregion

        public override void Update(Control control, double milliseconds) 
        {
           // _pos += _speed;
        }
    }
}
